<?php
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}
include_once('lib_main.php');


$rutas_ok='';
$ruta_x='';
$ruta_x.='.cele.gnya.crsb';
$ruta_x.='.demo';

if(!empty($empr)){$rutas[0]=$empr;}     
if(empty($rutas)){$rutas = scandir('../');}
// $rutas=['anml','adsa','demo'];


//////////////////////////////////////////////
// verifica cias con movimiento en la ultima semana
//////////////////////////////////////////////
// $fields='idnum1,docu,numero,fecha';
// if(empty($fecha1))
// {$fecha1=date('Y-m-d',strtotime('-1 week'));}

// clean_folders('../_cel','xml',365*7);

foreach($rutas as $ruta)
{
     $cfg_file='../'.$ruta.'/_cfg/config1.php';
//      if(!mb_stristr($ruta_x,$ruta))
     if(file_exists($cfg_file))
     {
          
          clean_folder('','_barcode',15);
          clean_folder($ruta,'docu',15);
          clean_folder($ruta,'info',15);
          clean_folder($ruta,'_doc',15);
     }
     
     
 }
$rutas_ok=substr($rutas_ok,1);
$rutas=explode('.',$rutas_ok);
//////////////////////////////////////////////


//////////////////////////////////////////////
// crea archivo _emprdb.txt para cias activas
//////////////////////////////////////////////
if(empty($empr))
{
//      $file_cias='_emprdb.txt';
//      unlink($file_cias);
//      $archivo = fopen($file_cias, 'w');
//      foreach($rutas as $ruta)
//      {fwrite($archivo, $ruta . PHP_EOL);}
//      fclose($archivo);
}
//////////////////////////////////////////////



return;



function clean_folder($ruta,$folderx,$days=30)
{
//      $folder='../'.$ruta.'/docu';          
     $folder='../'.$folderx;
     if(!empty($ruta))
     {$folder='../'.$ruta.'/'.$folderx;}
     
     
//      $days = 14; // Número de días de antigüedad

     if (is_dir($folder)) 
     {
         $files = scandir($folder);
         $now = time();
         foreach ($files as $file)
         {
             $filePath = $folder . DIRECTORY_SEPARATOR . $file;
             if (is_file($filePath))
             {
                 $fileTime = filemtime($filePath);
                 if ($now - $fileTime > ($days * 86400))
                 { 
                     unlink($filePath);
                     echo '<br>Eliminado: '.$file;
                 }
             }
         }
     } 
     
}







function clean_folders($dir,$tipo='pdf',$days=90)
{
    $now = time();
//      chdir('../');
//      $dir='../_cel';
//     $days = 15;

//      echo getcwd();
//      return;
     
    $files = new RecursiveIteratorIterator(new RecursiveDirectoryIterator($dir, RecursiveDirectoryIterator::SKIP_DOTS));

//      echo gettype($files);
     
//      var_dump2($files);
//      return;

    foreach ($files as $file)
    {
//         echo '<br>';
//         echo $file->getPathname() ;
    }     
     
     
//     if(1==2) 
    foreach ($files as $file)
    {
        // Mostrar el archivo
//         echo $file->getPathname() ;

        // Verificar si es un PDF y si tiene más de 15 días
         
        if (substr($file->getPathname(),-5) == 'b.xml') 
        {
               unlink($file->getPathname());
               echo '<br>';
               echo "Eliminado: " . $file->getPathname()  ;
        }         
         
//             if(1==2) 
        if ($file->getExtension() === $tipo) 
        {
            $fileAge = ($now - $file->getMTime()) / (60 * 60 * 24);
//             if(1==2) 
            if ($fileAge > $days) 
            {
//                  unlink($file->getPathname());
                    echo "Eliminado: " . $file->getPathname().PHP_EOL ;
//                 if (unlink($file->getPathname())) {
//                     echo "Eliminado: " . $file->getPathname().PHP_EOL ;
//                 } else {
//                     echo "No se pudo eliminar: " . $file->getPathname().PHP_EOL ;
//                 }
            }
        }
    }
}

// Llamar a la función con el directorio deseado
// $directorio = '/ruta/a/tu/directorio';
// listAndDeleteOldPDFs($directorio);





















?>